LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XDatabaseParameterListener Interface Referencepublished

allows to intercept value request for parametrized SQL statements. More...

`import"XDatabaseParameterListener.idl";`

Inheritance diagram for XDatabaseParameterListener:

## Public Member Functions
boolean | approveParameter ([in] com::sun::star::form::DatabaseParameterEvent aEvent)
| is invoked when there is a need for parameter values More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to intercept value request for parametrized SQL statements.

Developers Guide
  Forms - Parameters

## Member Function Documentation

boolean approveParameter | ( | [in] com::sun::star::form::DatabaseParameterEvent | aEvent | ) |

is invoked when there is a need for parameter values

Parameters

  aEvent | the event describing the parameter value request.

Returns
  `TRUE` when the execution of the parametrized statement should continue, `FALSE` otherwise.

See Also
  com::sun::star::form::DatabaseParameterEvent

The documentation for this interface was generated from the following file:

- com/sun/star/form/XDatabaseParameterListener.idl